/*--------------------------------------------------------------
>>> TABLE OF CONTENTS:
----------------------------------------------------------------
# Generic (CALLED IN NORMALIZE.CSS)
	- Normalize
	- Box sizing
	- Media width
# Base
	- Typography
	- Elements
	- Links
    - Grid
# Components
	- Header
	- Main
	- Footer
--------------------------------------------------------------*/

/*--------------------------------------------------------------
# Base
--------------------------------------------------------------*/
html {
    scroll-behavior: smooth;
}

/* Typography
--------------------------------------------- */

body {
	font-family: "Inter", Arial, "Helvetica Neue", Helvetica, sans-serif;
	font-size: 1rem;
	font-weight: 400;
	line-height: 1.5;
    background-color: #FDF9F0;
	color: #1f4d3a;
}

h1,
h2,
h3,
h4,
h5,
h6 {
	font-family: "Google Sans Flex", Arial, Helvetica, sans-serif;
	font-weight: 700;
    line-height: 1.2;
    margin: 0;
}

h1 {
	font-size: 3rem;
	margin: 0 0 .5rem;
    line-height: 1;
}

h2 {
	font-size: 2rem;
    padding: 4rem 1rem;
    text-align: center;
}

h3 {
    font-size: 1.5rem;
}

p {
	margin: 0 0 1.5rem;
}

@media (min-width: 50em) {
    h1 {
    font-size: 4.25rem;
    line-height: 1;
    }

    h2 {
    font-size: 3rem;
    }
}


/* Elements
--------------------------------------------- */
ul,
ol {
	margin: 1rem 0;
	padding: 0 0 0 2.5rem;
}

span {
    display: block;
}

figcaption {
    font-size: .75rem;
}

img {
    display: block;
    max-width: 100%;
    height: auto;
}

/* Links
--------------------------------------------- */
a,
a:visited { 
    color: #1f4d3a;
    text-decoration: none;
}

a:hover,
a:focus-visible {
	text-decoration: underline;
}

a:focus-visible {
	outline: 1px dotted #1f4d3a;
}

.skip-link:focus {
    position: absolute;
    left: 2rem;
    top: 5rem;

    clip-path: none;
    width: auto;
    height: auto; 

    padding: 1rem;
    background-color: #FDF9F0;
    color: #1f4d3a;
    border: 2px solid #1f4d3a;
    border-radius: .5rem;
}


/*--------------------------------------------------------------
#  General Components
--------------------------------------------------------------*/
.site-wrapper {
    max-width: 120rem;
    margin: 0 auto;
}

.site-navigation ul,
.site-footer ul {
    list-style: none;
    padding: 0;
}

.site-name {
    display: flex;
    align-items: center;
    gap: .5rem;
    filter: drop-shadow(0 3px 12px #f6ecd8);
}

.favicon-logo {
    width: 2.25rem;
    height: 2.25rem;
    flex-shrink: 0;
}

.wordmark-logo {
    width: auto;
    height: 2.25rem;
    object-fit: contain;
    display: block;
}

.site-main {
    margin-bottom: 3rem;
}


/* Grid 
--------------------------------------------- */
.grid-center {
    display: grid;
    grid-template-columns: repeat(2, minmax(0, 9rem));
    gap: .5rem;
    justify-content: center;
    text-align: center;
}

@media (min-width: 50em) {
    .grid-center {
        grid-template-columns: 1fr repeat(4, minmax(0, 16rem)) 1fr;
        gap: 1rem;
    }
}


/* Header
--------------------------------------------- */
/* Fixed Navigation bar with backdrop blur */
.site-header {
    position: fixed;
    inset: 0 0 auto 0;
	z-index: 1000;

    display: flex;
    align-items: center;
    justify-content: space-between;

    padding: 1rem;
    background-color: #f6ecd8CC;
	box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.25);
    backdrop-filter: blur(5px);
}

/* Menu Toggle */
.site-navigation ul {
	padding: 0;
	margin: 0;
	text-align: center;
    font-weight: 600;
	background-color: #1f4d3a;

	position: absolute;
	top: 4.25rem;
	left: 0;
	right: 0;
	z-index: 100;

    max-height: 0;
    overflow: hidden;
    opacity: 0;

    transform: translateY(1rem);
    transition: max-height 0.4s ease, opacity 0.3s ease, transform 0.3s ease;
}

.site-navigation.toggled ul {
    max-height: 20rem;
    opacity: 1;
    transform: translateY(0);
}

.site-navigation a {
	display: block;
	padding: 1rem;
    font-family: "Google Sans Flex", Arial, Helvetica, sans-serif;
	color: #FDF9F0;
    -webkit-tap-highlight-color: transparent;
}

.site-navigation a:hover,
.site-navigation a:focus-visible,
.site-navigation a:active {
    background-color: #2b674e;
    text-decoration: none;
}

.menu-toggle {
    display: block;
	background-color: transparent;
	border: 0;
    z-index: 1100;

    transition: background-color 0.2s ease;
    border-radius: 0.25rem;
    padding: 0;
}

.menu-toggle svg path {
    fill:#1f4d3a;
}

.menu-toggle:focus-visible svg path,
.menu-toggle:active svg path {
    fill: #4d432b;
}


@media (min-width: 50em) {
    .site-header {
        padding: 0 2rem;
    }

    .menu-toggle {
        display: none;
    }
    .site-navigation {
        flex: 1 1 auto;
    }

    .site-navigation ul {
        display: flex;
		justify-content: flex-end;
		position: relative;
		top: 0;
        max-height: none;
        opacity: 1;
        transform: none;
        background-color: transparent;
    }

    .site-navigation a {
        color: #1f4d3a;
	}

    .site-navigation a:hover,
    .site-navigation a:focus-visible,
    .site-navigation a:active {
        color:#4d432b;
        background-color: transparent;
    }
}


/* Main
--------------------------------------------- */

/* Header - Hero Banner */
.hero-banner {
    position: relative;
    background-color: #1f4d3a;
    overflow: visible;
    min-height: 100vh;
}

.hero-banner img,
.hero-banner video {
	display: block;
	width: 100%;
	object-fit: cover;
	object-position: center bottom;
}

.hero-image,
.hero-video {
    height: 100vh;
}

.hero-overlay-top {
    position: absolute;
    min-height: 8rem;
    left: 0;
    bottom: -2rem;
    width: 100%;
    z-index: 2;
    pointer-events: none;
}

.hero-overlay-bottom {
    position: absolute;
    min-height: 5rem;
    left: 0;
    bottom: -14rem;
    width: 100%;
    z-index: 2;
    pointer-events: none;
}

.hero-content {
    position: absolute;
    bottom: 5rem;
    left: 1rem;
    z-index: 3;
    margin: 0;
}

.hero-content h1,
.hero-content p {
    color: #FDF9F0;
    /* text-shadow: 0 3px 12px #000000cc */
    text-shadow: 0 3px 8px #000000cc, 0 8px 24px #00000099;
}

.hero-content p {
    margin-bottom: .5rem;
}

.explore-button {
    color: #1f4d3a;
    background-color: #ffe240;
	display: inline-block;
	border-radius: 1rem;
	padding: 0.5rem 1rem;
}

.explore-button:visited {
    color: #4d432b;
}

.explore-button:hover,
.explore-button:active,
.explore-button:focus {
    color: #FDF9F0;
	background-color: #1f4d3a;
}

@media (min-width: 50em) {

    .hero-content {
        left: 2rem;
    }

    .hero-overlay-top {
        bottom: -3rem;
    }   

    .hero-overlay-bottom {
        bottom: -14rem;
    }   
}

/* Footer
--------------------------------------------- */
.site-footer {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1rem;
    background-color: #f6ecd8;
    padding-left: 1rem;
}

.footer-branding,
.footer-navigation {
    border-bottom: 1px solid #e8decb;
    padding-bottom: 2rem;
}

.footer-branding {
    padding-top: 3rem;
}

.footer-branding p {
    font-size: .75rem;
    padding-top: .25rem;
}

.copyright {
    font-size: .75rem;
}

@media (min-width: 50em) {
    .site-footer {
        grid-template-columns: 1fr 1fr;
        padding: 0 2rem 0;
    }
    
    .site-footer nav {
        text-align: right;
    }

    .footer-navigation {
        grid-column: 2 / 3;
        grid-row: 1 / 2;
    }

    .footer-branding,
    .footer-navigation {
        border-bottom: none;
    }

    .copyright {
        grid-column: 1 / 3;
        grid-row: 2 / 3;
        justify-self: center;
    }
}